> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# List Folder Members

POST https://api.dropboxapi.com/2/sharing/list_folder_members
Content-Type: application/json

Returns shared folder membership by its folder ID.

**Required scope:** `sharing.read`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Whole Team)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

This endpoint does not support apps with the app folder permission.

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/sharing/list-folder-members

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Select-Admin` (string, optional) — Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `shared_folder_id` (any, required) — The ID for the shared folder. When path is provided, the folder ID will be extracted from the path instead.
- `actions` (list of object or object or object or object or object or object, optional, nullable) — This is a list indicating whether each returned member will include a boolean value `MemberPermission.allow` that describes whether the current user can perform the MemberAction on the member.
  - sharing_apiv2.MemberAction.leave_a_copy
    - `.tag` (enum, required)
      - Allowed values: `leave_a_copy`
  - sharing_apiv2.MemberAction.make_editor
    - `.tag` (enum, required)
      - Allowed values: `make_editor`
  - sharing_apiv2.MemberAction.make_owner
    - `.tag` (enum, required)
      - Allowed values: `make_owner`
  - sharing_apiv2.MemberAction.make_viewer
    - `.tag` (enum, required)
      - Allowed values: `make_viewer`
  - sharing_apiv2.MemberAction.make_viewer_no_comment
    - `.tag` (enum, required)
      - Allowed values: `make_viewer_no_comment`
  - sharing_apiv2.MemberAction.remove
    - `.tag` (enum, required)
      - Allowed values: `remove`
- `limit` (uint, optional, default: 1000) — The maximum number of results that include members, groups and invitees to return per request.
- `path` (string, optional, nullable) — Optional path to get inherited members. When omitted, uses shared_folder_id to return direct members. When provided, extracts folder ID from this path and returns users who have access through parent shared folder.

## Response

### 200

Successful response

- `groups` (list of object, required) — The list of group members of the shared folder.
  - `access_type` (object or object or object or object or object or object or object, required) — The access type for this member. It contains inherited access type from parent folder, and acquired access type from this folder.
    - sharing_apiv2.AccessLevel.owner
      - `.tag` (enum, required)
        - Allowed values: `owner`
    - sharing_apiv2.AccessLevel.editor
      - `.tag` (enum, required)
        - Allowed values: `editor`
    - sharing_apiv2.AccessLevel.viewer
      - `.tag` (enum, required)
        - Allowed values: `viewer`
    - sharing_apiv2.AccessLevel.viewer_no_comment
      - `.tag` (enum, required)
        - Allowed values: `viewer_no_comment`
    - sharing_apiv2.AccessLevel.traverse
      - `.tag` (enum, required)
        - Allowed values: `traverse`
    - sharing_apiv2.AccessLevel.no_access
      - `.tag` (enum, required)
        - Allowed values: `no_access`
    - Other
      - `.tag` (string, optional)
  - `group` (object, required) — The information about the membership group.
    - `group_id` (string, required)
    - `group_management_type` (object or object or object or object, required) — Who is allowed to manage the group.
      - team_common.GroupManagementType.user_managed
        - `.tag` (enum, required)
          - Allowed values: `user_managed`
      - team_common.GroupManagementType.company_managed
        - `.tag` (enum, required)
          - Allowed values: `company_managed`
      - team_common.GroupManagementType.system_managed
        - `.tag` (enum, required)
          - Allowed values: `system_managed`
      - Other
        - `.tag` (string, optional)
    - `group_name` (string, required)
    - `is_member` (boolean, required) — If the current user is a member of the group.
    - `is_owner` (boolean, required) — If the current user is an owner of the group.
    - `same_team` (boolean, required) — If the group is owned by the current user's team.
    - `group_type` (object or object or object, required, deprecated) — The type of group.
      - team_common.GroupType.team
        - `.tag` (enum, required)
          - Allowed values: `team`
      - team_common.GroupType.user_managed
        - `.tag` (enum, required)
          - Allowed values: `user_managed`
      - Other
        - `.tag` (string, optional)
    - `group_external_id` (string, optional, nullable) — External ID of group. This is an arbitrary ID that an admin can attach to a group.
    - `member_count` (uint, optional, nullable) — The number of members in the group.
  - `is_inherited` (boolean, optional) — True if the member has access on a parent folder.
  - `permissions` (list of object, optional, nullable) — The permissions that requesting user has on this member. The set of permissions corresponds to the MemberActions in the request.
    - `action` (object or object or object or object or object or object or object, required) — The action that the user may wish to take on the member.
      - sharing_apiv2.MemberAction.leave_a_copy
        - `.tag` (enum, required)
          - Allowed values: `leave_a_copy`
      - sharing_apiv2.MemberAction.make_editor
        - `.tag` (enum, required)
          - Allowed values: `make_editor`
      - sharing_apiv2.MemberAction.make_owner
        - `.tag` (enum, required)
          - Allowed values: `make_owner`
      - sharing_apiv2.MemberAction.make_viewer
        - `.tag` (enum, required)
          - Allowed values: `make_viewer`
      - sharing_apiv2.MemberAction.make_viewer_no_comment
        - `.tag` (enum, required)
          - Allowed values: `make_viewer_no_comment`
      - sharing_apiv2.MemberAction.remove
        - `.tag` (enum, required)
          - Allowed values: `remove`
      - Other
        - `.tag` (string, optional)
    - `allow` (boolean, required) — True if the user is allowed to take the action.
    - `reason` (object or object or object or object or object or object or object or object or object or object or object or object or object or object or object or object, optional, nullable) — The reason why the user is denied the permission. Not present if the action is allowed.
      - sharing_apiv2.PermissionDeniedReason.user_not_same_team_as_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_same_team_as_owner`
      - sharing_apiv2.PermissionDeniedReason.user_not_allowed_by_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_allowed_by_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_indirect_member
        - `.tag` (enum, required)
          - Allowed values: `target_is_indirect_member`
      - sharing_apiv2.PermissionDeniedReason.target_is_owner
        - `.tag` (enum, required)
          - Allowed values: `target_is_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_self
        - `.tag` (enum, required)
          - Allowed values: `target_is_self`
      - sharing_apiv2.PermissionDeniedReason.target_not_active
        - `.tag` (enum, required)
          - Allowed values: `target_not_active`
      - sharing_apiv2.PermissionDeniedReason.folder_is_limited_team_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_limited_team_folder`
      - sharing_apiv2.PermissionDeniedReason.owner_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `owner_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.permission_denied
        - `.tag` (enum, required)
          - Allowed values: `permission_denied`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_team
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_team`
      - sharing_apiv2.PermissionDeniedReason.user_account_type
        - `.tag` (enum, required)
          - Allowed values: `user_account_type`
      - sharing_apiv2.PermissionDeniedReason.user_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `user_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.folder_is_inside_shared_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_inside_shared_folder`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_parent_folder
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_parent_folder`
      - sharing_apiv2.PermissionDeniedReason.insufficient_plan
        - `.tag` (enum, required)
          - Allowed values: `insufficient_plan`
        - `message` (string, required) — A message to tell the user to upgrade in order to support expected action.
        - `upsell_url` (string, optional, nullable) — A URL to send the user to in order to obtain the account type they need, e.g. upgrading. Absent if there is no action the user can take to upgrade.
      - Other
        - `.tag` (string, optional)
  - `initials` (string, optional, nullable, deprecated) — Never set.
- `invitees` (list of object, required) — The list of invitees to the shared folder.
  - `access_type` (object or object or object or object or object or object or object, required) — The access type for this member. It contains inherited access type from parent folder, and acquired access type from this folder.
    - sharing_apiv2.AccessLevel.owner
      - `.tag` (enum, required)
        - Allowed values: `owner`
    - sharing_apiv2.AccessLevel.editor
      - `.tag` (enum, required)
        - Allowed values: `editor`
    - sharing_apiv2.AccessLevel.viewer
      - `.tag` (enum, required)
        - Allowed values: `viewer`
    - sharing_apiv2.AccessLevel.viewer_no_comment
      - `.tag` (enum, required)
        - Allowed values: `viewer_no_comment`
    - sharing_apiv2.AccessLevel.traverse
      - `.tag` (enum, required)
        - Allowed values: `traverse`
    - sharing_apiv2.AccessLevel.no_access
      - `.tag` (enum, required)
        - Allowed values: `no_access`
    - Other
      - `.tag` (string, optional)
  - `invitee` (object or object, required) — Recipient of the invitation.
    - sharing_apiv2.InviteeInfo.email
      - `.tag` (enum, required)
        - Allowed values: `email`
      - `email` (string, required, nullable)
    - Other
      - `.tag` (string, optional)
  - `is_inherited` (boolean, optional) — True if the member has access on a parent folder.
  - `permissions` (list of object, optional, nullable) — The permissions that requesting user has on this member. The set of permissions corresponds to the MemberActions in the request.
    - `action` (object or object or object or object or object or object or object, required) — The action that the user may wish to take on the member.
      - sharing_apiv2.MemberAction.leave_a_copy
        - `.tag` (enum, required)
          - Allowed values: `leave_a_copy`
      - sharing_apiv2.MemberAction.make_editor
        - `.tag` (enum, required)
          - Allowed values: `make_editor`
      - sharing_apiv2.MemberAction.make_owner
        - `.tag` (enum, required)
          - Allowed values: `make_owner`
      - sharing_apiv2.MemberAction.make_viewer
        - `.tag` (enum, required)
          - Allowed values: `make_viewer`
      - sharing_apiv2.MemberAction.make_viewer_no_comment
        - `.tag` (enum, required)
          - Allowed values: `make_viewer_no_comment`
      - sharing_apiv2.MemberAction.remove
        - `.tag` (enum, required)
          - Allowed values: `remove`
      - Other
        - `.tag` (string, optional)
    - `allow` (boolean, required) — True if the user is allowed to take the action.
    - `reason` (object or object or object or object or object or object or object or object or object or object or object or object or object or object or object or object, optional, nullable) — The reason why the user is denied the permission. Not present if the action is allowed.
      - sharing_apiv2.PermissionDeniedReason.user_not_same_team_as_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_same_team_as_owner`
      - sharing_apiv2.PermissionDeniedReason.user_not_allowed_by_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_allowed_by_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_indirect_member
        - `.tag` (enum, required)
          - Allowed values: `target_is_indirect_member`
      - sharing_apiv2.PermissionDeniedReason.target_is_owner
        - `.tag` (enum, required)
          - Allowed values: `target_is_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_self
        - `.tag` (enum, required)
          - Allowed values: `target_is_self`
      - sharing_apiv2.PermissionDeniedReason.target_not_active
        - `.tag` (enum, required)
          - Allowed values: `target_not_active`
      - sharing_apiv2.PermissionDeniedReason.folder_is_limited_team_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_limited_team_folder`
      - sharing_apiv2.PermissionDeniedReason.owner_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `owner_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.permission_denied
        - `.tag` (enum, required)
          - Allowed values: `permission_denied`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_team
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_team`
      - sharing_apiv2.PermissionDeniedReason.user_account_type
        - `.tag` (enum, required)
          - Allowed values: `user_account_type`
      - sharing_apiv2.PermissionDeniedReason.user_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `user_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.folder_is_inside_shared_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_inside_shared_folder`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_parent_folder
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_parent_folder`
      - sharing_apiv2.PermissionDeniedReason.insufficient_plan
        - `.tag` (enum, required)
          - Allowed values: `insufficient_plan`
        - `message` (string, required) — A message to tell the user to upgrade in order to support expected action.
        - `upsell_url` (string, optional, nullable) — A URL to send the user to in order to obtain the account type they need, e.g. upgrading. Absent if there is no action the user can take to upgrade.
      - Other
        - `.tag` (string, optional)
  - `user` (object, optional, nullable) — The user this invitation is tied to, if available.
    - `account_id` (string, required) — The account ID of the user.
    - `display_name` (string, required) — The display name of the user.
    - `email` (string, required) — Email address of user.
    - `same_team` (boolean, required) — If the user is in the same team as current user.
    - `team_member_id` (string, optional, nullable) — The team member ID of the shared folder member. Only present if `same_team` is true.
  - `initials` (string, optional, nullable, deprecated) — Never set.
- `users` (list of object, required) — The list of user members of the shared folder.
  - `access_type` (object or object or object or object or object or object or object, required) — The access type for this member. It contains inherited access type from parent folder, and acquired access type from this folder.
    - sharing_apiv2.AccessLevel.owner
      - `.tag` (enum, required)
        - Allowed values: `owner`
    - sharing_apiv2.AccessLevel.editor
      - `.tag` (enum, required)
        - Allowed values: `editor`
    - sharing_apiv2.AccessLevel.viewer
      - `.tag` (enum, required)
        - Allowed values: `viewer`
    - sharing_apiv2.AccessLevel.viewer_no_comment
      - `.tag` (enum, required)
        - Allowed values: `viewer_no_comment`
    - sharing_apiv2.AccessLevel.traverse
      - `.tag` (enum, required)
        - Allowed values: `traverse`
    - sharing_apiv2.AccessLevel.no_access
      - `.tag` (enum, required)
        - Allowed values: `no_access`
    - Other
      - `.tag` (string, optional)
  - `user` (object, required) — The account information for the membership user.
    - `account_id` (string, required) — The account ID of the user.
    - `display_name` (string, required) — The display name of the user.
    - `email` (string, required) — Email address of user.
    - `same_team` (boolean, required) — If the user is in the same team as current user.
    - `team_member_id` (string, optional, nullable) — The team member ID of the shared folder member. Only present if `same_team` is true.
  - `is_inherited` (boolean, optional) — True if the member has access on a parent folder.
  - `permissions` (list of object, optional, nullable) — The permissions that requesting user has on this member. The set of permissions corresponds to the MemberActions in the request.
    - `action` (object or object or object or object or object or object or object, required) — The action that the user may wish to take on the member.
      - sharing_apiv2.MemberAction.leave_a_copy
        - `.tag` (enum, required)
          - Allowed values: `leave_a_copy`
      - sharing_apiv2.MemberAction.make_editor
        - `.tag` (enum, required)
          - Allowed values: `make_editor`
      - sharing_apiv2.MemberAction.make_owner
        - `.tag` (enum, required)
          - Allowed values: `make_owner`
      - sharing_apiv2.MemberAction.make_viewer
        - `.tag` (enum, required)
          - Allowed values: `make_viewer`
      - sharing_apiv2.MemberAction.make_viewer_no_comment
        - `.tag` (enum, required)
          - Allowed values: `make_viewer_no_comment`
      - sharing_apiv2.MemberAction.remove
        - `.tag` (enum, required)
          - Allowed values: `remove`
      - Other
        - `.tag` (string, optional)
    - `allow` (boolean, required) — True if the user is allowed to take the action.
    - `reason` (object or object or object or object or object or object or object or object or object or object or object or object or object or object or object or object, optional, nullable) — The reason why the user is denied the permission. Not present if the action is allowed.
      - sharing_apiv2.PermissionDeniedReason.user_not_same_team_as_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_same_team_as_owner`
      - sharing_apiv2.PermissionDeniedReason.user_not_allowed_by_owner
        - `.tag` (enum, required)
          - Allowed values: `user_not_allowed_by_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_indirect_member
        - `.tag` (enum, required)
          - Allowed values: `target_is_indirect_member`
      - sharing_apiv2.PermissionDeniedReason.target_is_owner
        - `.tag` (enum, required)
          - Allowed values: `target_is_owner`
      - sharing_apiv2.PermissionDeniedReason.target_is_self
        - `.tag` (enum, required)
          - Allowed values: `target_is_self`
      - sharing_apiv2.PermissionDeniedReason.target_not_active
        - `.tag` (enum, required)
          - Allowed values: `target_not_active`
      - sharing_apiv2.PermissionDeniedReason.folder_is_limited_team_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_limited_team_folder`
      - sharing_apiv2.PermissionDeniedReason.owner_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `owner_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.permission_denied
        - `.tag` (enum, required)
          - Allowed values: `permission_denied`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_team
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_team`
      - sharing_apiv2.PermissionDeniedReason.user_account_type
        - `.tag` (enum, required)
          - Allowed values: `user_account_type`
      - sharing_apiv2.PermissionDeniedReason.user_not_on_team
        - `.tag` (enum, required)
          - Allowed values: `user_not_on_team`
      - sharing_apiv2.PermissionDeniedReason.folder_is_inside_shared_folder
        - `.tag` (enum, required)
          - Allowed values: `folder_is_inside_shared_folder`
      - sharing_apiv2.PermissionDeniedReason.restricted_by_parent_folder
        - `.tag` (enum, required)
          - Allowed values: `restricted_by_parent_folder`
      - sharing_apiv2.PermissionDeniedReason.insufficient_plan
        - `.tag` (enum, required)
          - Allowed values: `insufficient_plan`
        - `message` (string, required) — A message to tell the user to upgrade in order to support expected action.
        - `upsell_url` (string, optional, nullable) — A URL to send the user to in order to obtain the account type they need, e.g. upgrading. Absent if there is no action the user can take to upgrade.
      - Other
        - `.tag` (string, optional)
  - `initials` (string, optional, nullable, deprecated) — Never set.
- `cursor` (string, optional, nullable) — Present if there are additional shared folder members that have not been returned yet. Pass the cursor into [list_folder_members/continue](api:dropbox-api:POST/2/sharing/list_folder_members/continue) to list additional members.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object, required) — There is an error accessing the shared folder.
  - sharing_apiv2.SharedFolderAccessError.invalid_id
    - `.tag` (enum, required)
      - Allowed values: `invalid_id`
  - sharing_apiv2.SharedFolderAccessError.not_a_member
    - `.tag` (enum, required)
      - Allowed values: `not_a_member`
  - sharing_apiv2.SharedFolderAccessError.invalid_member
    - `.tag` (enum, required)
      - Allowed values: `invalid_member`
  - sharing_apiv2.SharedFolderAccessError.email_unverified
    - `.tag` (enum, required)
      - Allowed values: `email_unverified`
  - sharing_apiv2.SharedFolderAccessError.unmounted
    - `.tag` (enum, required)
      - Allowed values: `unmounted`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "shared_folder_id": "84528192421",
  "actions": [],
  "limit": 10
}
```

**Response**

```json
{
  "groups": [
    {
      "access_type": {
        ".tag": "editor"
      },
      "group": {
        "group_id": "g:e2db7665347abcd600000000001a2b3c",
        "group_management_type": {
          ".tag": "user_managed"
        },
        "group_name": "Test group",
        "is_member": false,
        "is_owner": false,
        "same_team": true,
        "group_type": {
          ".tag": "user_managed"
        },
        "member_count": 10
      },
      "is_inherited": false,
      "permissions": [],
      "initials": "JD"
    }
  ],
  "invitees": [
    {
      "access_type": {
        ".tag": "viewer"
      },
      "invitee": {
        ".tag": "email",
        "email": "jessica@example.com"
      },
      "is_inherited": false,
      "permissions": [],
      "initials": "JD"
    }
  ],
  "users": [
    {
      "access_type": {
        ".tag": "owner"
      },
      "user": {
        "account_id": "dbid:AAH4f99T0taONIb-OurWxbNQ6ywGRopQngc",
        "display_name": "Robert Smith",
        "email": "bob@example.com",
        "same_team": true,
        "team_member_id": "dbmid:abcd1234"
      },
      "is_inherited": false,
      "permissions": [],
      "initials": "JD"
    }
  ],
  "cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/sharing/list_folder_members"

payload = {
    "shared_folder_id": "84528192421",
    "actions": [],
    "limit": 10
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/sharing/list_folder_members';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"shared_folder_id":"84528192421","actions":[],"limit":10}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/sharing/list_folder_members"

	payload := strings.NewReader("{\n  \"shared_folder_id\": \"84528192421\",\n  \"actions\": [],\n  \"limit\": 10\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/sharing/list_folder_members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"shared_folder_id\": \"84528192421\",\n  \"actions\": [],\n  \"limit\": 10\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/sharing/list_folder_members")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"shared_folder_id\": \"84528192421\",\n  \"actions\": [],\n  \"limit\": 10\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/sharing/list_folder_members', [
  'body' => '{
  "shared_folder_id": "84528192421",
  "actions": [],
  "limit": 10
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/sharing/list_folder_members");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"shared_folder_id\": \"84528192421\",\n  \"actions\": [],\n  \"limit\": 10\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "shared_folder_id": "84528192421",
  "actions": [],
  "limit": 10
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/sharing/list_folder_members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```